Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTCamSelfLocator Class Reference

The class implements self-localization using the worldstate of the GTCam. More...

`#include <GTCamSelfLocator.h>`

Inheritance diagram for GTCamSelfLocator:

[legend]
Collaboration diagram for GTCamSelfLocator:

[legend]
List of all members.

## Public Member Functions
| GTCamSelfLocator (const SelfLocatorInterfaces &interfaces)
| Constructor.
virtual void | execute ()
| The function executes the module.
virtual bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
## Private Attributes
RobotPose | lastPose
| The last position.

## Detailed Description

The class implements self-localization using the worldstate of the GTCam.

Definition at line 17 of file GTCamSelfLocator.h.

## Constructor & Destructor Documentation

GTCamSelfLocator::GTCamSelfLocator | ( | const SelfLocatorInterfaces & | interfaces | ) |

  | Constructor. Parameters:
  interfaces | The parameters of the SelfLocator module.
Definition at line 41 of file GTCamSelfLocator.cpp. References lastPose, RobotPose::setValidity(), RobotPose::speedbyDistanceToGoal, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Function Documentation

void GTCamSelfLocator::execute | ( |  | ) | `[virtual]`

| The function executes the module. Reimplemented from Module. Definition at line 49 of file GTCamSelfLocator.cpp. References CameraMatrix::frameNumber, RobotPose::frameNumber, SystemCall::getCurrentSystemTime(), getPlayer(), Player::getPlayerNumber(), GTCamWorldState::getRobotPose(), Player::getTeamColor(), lastPose, GTCamWorldState::playerWasSeen(), Pose2D::rotation, RobotPose::setValidity(), RobotPose::timestamp, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

bool GTCamSelfLocator::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Reimplemented from Module. Definition at line 90 of file GTCamSelfLocator.cpp.

## Member Data Documentation

RobotPose GTCamSelfLocator::lastPose`[private]`

| The last position. Definition at line 35 of file GTCamSelfLocator.h. Referenced by execute(), and GTCamSelfLocator().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/GTCamSelfLocator.h
- Modules/SelfLocator/GTCamSelfLocator.cpp